// This code is intended to be used on an Arduino UNO board
// In case of different types of board, please change the pin assignment accordingly 
// It forwards everything received from BT on the PC screen and echoes it back to the AI2 app 
// Serial Monitor baudrate 9600.
//*********************************************************************************************************************
// HC06 (HC05) baudrate 115200   *********************** please set YOUR HC05/6 baudrate ******************************
//*********************************************************************************************************************

#include <SoftwareSerial.h>
#define ledPin 13                 // default LED on the Arduino UNO board  
#define TxPin 10                  // required by SoftwareSerial (PWM capabilities needed)
#define RxPin 9                   // required by SoftwareSerial (PWM capabilities needed)

SoftwareSerial BTSerial(RxPin,TxPin);   // instantiate the library

char state = ' ';                 // define input buffer as char (not empty but a blank)


//===============================================================================================
void setup()                      // done once at reset
{
   pinMode(RxPin,INPUT);          // to be connected to Tx pin of HC06 (HC05)
   pinMode(TxPin,OUTPUT);         // to be connected to Rx pin of HC06 (HC05)
   pinMode(ledPin,OUTPUT);        // init port mode
   BTSerial.begin(115200);        // baudrate toward HC06 (HC05) 
   digitalWrite(ledPin,LOW);      // initialize the local LED to off
   Serial.begin(9600);            // Used to echo on PC monitor the data received on BT
}

//===============================================================================================
void loop()                       // repeated forever
{
  if (BTSerial.available())       // any char from BT ?
  {
    state = BTSerial.read();      // yes, get it
    Serial.print("Received : ");  // echoes it on the PC screen
    Serial.println(state);
    if(state=='A')                // the received char to switch off the led
    digitalWrite(ledPin,LOW);
    if(state=='B')                // the received char to switch on the led
    digitalWrite(ledPin,HIGH);
    BTSerial.print('R');          // do the loopback to AI2  
    BTSerial.println(state);      // do the loopback to AI2
  }
}
